Get all plugin details
GET /api/plugins
GET /api/pluginsInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Query Parameters
subsystem?string
Type to filter the plugin list. http will only show L7 plugins and stream will only show L4 plugins.
Default
"http"Value in
- "http"
- "stream"
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthResponse Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/plugins?gateway_group_id=86fb9981-d9d2-4555-9df8-91ae92129335"Successfully retrieved the list of plugins.
{
"value": [
{
"plugin_name": "prometheus",
"type": "Observability",
"is_custom": false
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/plugins
Get all plugin details
Parameters
subsystem(query, string, optional): Type to filter the plugin list.httpwill only show L7 plugins andstreamwill only show L4 plugins.gateway_group_id(query, string, required): Gateway group ID.
Responses
200: Successfully retrieved the list of plugins.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(array, optional):value[].plugin_name(string, optional): Name of the plugin.value[].type(string, optional): Catalog of the plugin. Plugins are categorized into Authentication, Security, AI, Traffic, Transformation, Observability, Serverless, General, and Other Protocols.value[].is_custom(boolean, optional): If true, the plugin is a custom plugin.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/plugins'